package com.e9ine.android.driver.injection.component;

import android.content.Context;
import com.e9ine.android.driver.data.api.E9ineService;
import com.e9ine.android.driver.injection.module.ApiModule;
import com.e9ine.android.driver.injection.module.ApiModule_ProvideApiFactory;
import com.e9ine.android.driver.injection.module.ApiModule_ProvideCallAdapterFactoryFactory;
import com.e9ine.android.driver.injection.module.ApiModule_ProvideConverterFactoryFactory;
import com.e9ine.android.driver.injection.module.ApiModule_ProvideGsonFactory;
import com.e9ine.android.driver.injection.module.ApiModule_ProvideInterceptorsFactory;
import com.e9ine.android.driver.injection.module.ApiModule_ProvideOkHttpClientFactory;
import com.e9ine.android.driver.injection.module.ApplicationModule;
import com.e9ine.android.driver.injection.module.ApplicationModule_ProvideContextFactory;
import com.e9ine.android.driver.injection.module.PresenterModule;
import com.e9ine.android.driver.injection.module.PresenterModule_ProvideSamplePresenterFactory;
import com.e9ine.android.driver.injection.module.UtilModule;
import com.e9ine.android.driver.injection.module.UtilModule_ProvideBakeryFactory;
import com.e9ine.android.driver.injection.module.UtilModule_ProvideConnectivityUtilFactory;
import com.e9ine.android.driver.injection.module.UtilModule_ProvidePreferenceUtilFactory;
import com.e9ine.android.driver.module.AuthenticationModule.presenter.TaskListPresenter;
import com.e9ine.android.driver.module.AuthenticationModule.presenter.TaskListPresenterImpl;
import com.e9ine.android.driver.module.AuthenticationModule.presenter.TaskListPresenterImpl_MembersInjector;
import com.e9ine.android.driver.module.AuthenticationModule.view.activity.TaskListActivity;
import com.e9ine.android.driver.module.AuthenticationModule.view.activity.TaskListActivity_MembersInjector;
import com.e9ine.android.driver.module.common.util.Bakery;
import com.e9ine.android.driver.module.common.util.Bakery_MembersInjector;
import com.e9ine.android.driver.module.common.util.ConnectivityUtil;
import com.e9ine.android.driver.module.common.util.ConnectivityUtil_MembersInjector;
import com.e9ine.android.driver.module.common.util.PreferenceUtil;
import com.e9ine.android.driver.module.common.util.PreferenceUtil_MembersInjector;
import com.google.gson.Gson;
import dagger.MembersInjector;
import dagger.internal.DoubleCheck;
import dagger.internal.Preconditions;
import java.util.List;
import javax.annotation.Generated;
import javax.inject.Provider;
import okhttp3.Interceptor;
import okhttp3.OkHttpClient;
import retrofit2.CallAdapter;
import retrofit2.Converter;

@Generated(
  value = "dagger.internal.codegen.ComponentProcessor",
  comments = "https://google.github.io/dagger"
)
public final class DaggerApplicationComponent implements ApplicationComponent {
  private Provider<TaskListPresenter> provideSamplePresenterProvider;

  private Provider<Bakery> provideBakeryProvider;

  private Provider<PreferenceUtil> providePreferenceUtilProvider;

  private Provider<ConnectivityUtil> provideConnectivityUtilProvider;

  private MembersInjector<TaskListActivity> taskListActivityMembersInjector;

  private Provider<List<Interceptor>> provideInterceptorsProvider;

  private Provider<OkHttpClient> provideOkHttpClientProvider;

  private Provider<Gson> provideGsonProvider;

  private Provider<Converter.Factory> provideConverterFactoryProvider;

  private Provider<CallAdapter.Factory> provideCallAdapterFactoryProvider;

  private Provider<E9ineService> provideApiProvider;

  private MembersInjector<TaskListPresenterImpl> taskListPresenterImplMembersInjector;

  private Provider<Context> provideContextProvider;

  private MembersInjector<PreferenceUtil> preferenceUtilMembersInjector;

  private MembersInjector<Bakery> bakeryMembersInjector;

  private MembersInjector<ConnectivityUtil> connectivityUtilMembersInjector;

  private DaggerApplicationComponent(Builder builder) {
    assert builder != null;
    initialize(builder);
  }

  public static Builder builder() {
    return new Builder();
  }

  @SuppressWarnings("unchecked")
  private void initialize(final Builder builder) {

    this.provideSamplePresenterProvider =
        PresenterModule_ProvideSamplePresenterFactory.create(builder.presenterModule);

    this.provideBakeryProvider =
        DoubleCheck.provider(UtilModule_ProvideBakeryFactory.create(builder.utilModule));

    this.providePreferenceUtilProvider =
        DoubleCheck.provider(UtilModule_ProvidePreferenceUtilFactory.create(builder.utilModule));

    this.provideConnectivityUtilProvider =
        DoubleCheck.provider(UtilModule_ProvideConnectivityUtilFactory.create(builder.utilModule));

    this.taskListActivityMembersInjector =
        TaskListActivity_MembersInjector.create(
            provideSamplePresenterProvider,
            provideBakeryProvider,
            providePreferenceUtilProvider,
            provideConnectivityUtilProvider);

    this.provideInterceptorsProvider =
        DoubleCheck.provider(ApiModule_ProvideInterceptorsFactory.create(builder.apiModule));

    this.provideOkHttpClientProvider =
        DoubleCheck.provider(
            ApiModule_ProvideOkHttpClientFactory.create(
                builder.apiModule, provideInterceptorsProvider));

    this.provideGsonProvider =
        DoubleCheck.provider(ApiModule_ProvideGsonFactory.create(builder.apiModule));

    this.provideConverterFactoryProvider =
        DoubleCheck.provider(
            ApiModule_ProvideConverterFactoryFactory.create(
                builder.apiModule, provideGsonProvider));

    this.provideCallAdapterFactoryProvider =
        DoubleCheck.provider(ApiModule_ProvideCallAdapterFactoryFactory.create(builder.apiModule));

    this.provideApiProvider =
        DoubleCheck.provider(
            ApiModule_ProvideApiFactory.create(
                builder.apiModule,
                provideOkHttpClientProvider,
                provideConverterFactoryProvider,
                provideCallAdapterFactoryProvider));

    this.taskListPresenterImplMembersInjector =
        TaskListPresenterImpl_MembersInjector.create(
            providePreferenceUtilProvider, provideApiProvider);

    this.provideContextProvider =
        DoubleCheck.provider(
            ApplicationModule_ProvideContextFactory.create(builder.applicationModule));

    this.preferenceUtilMembersInjector =
        PreferenceUtil_MembersInjector.create(provideContextProvider, provideGsonProvider);

    this.bakeryMembersInjector = Bakery_MembersInjector.create(provideContextProvider);

    this.connectivityUtilMembersInjector =
        ConnectivityUtil_MembersInjector.create(provideContextProvider);
  }

  @Override
  public void inject(TaskListActivity taskListActivity) {
    taskListActivityMembersInjector.injectMembers(taskListActivity);
  }

  @Override
  public void inject(TaskListPresenterImpl taskListPresenter) {
    taskListPresenterImplMembersInjector.injectMembers(taskListPresenter);
  }

  @Override
  public void inject(PreferenceUtil preferenceUtil) {
    preferenceUtilMembersInjector.injectMembers(preferenceUtil);
  }

  @Override
  public void inject(Bakery bakery) {
    bakeryMembersInjector.injectMembers(bakery);
  }

  @Override
  public void inject(ConnectivityUtil connectivityUtil) {
    connectivityUtilMembersInjector.injectMembers(connectivityUtil);
  }

  public static final class Builder {
    private PresenterModule presenterModule;

    private UtilModule utilModule;

    private ApiModule apiModule;

    private ApplicationModule applicationModule;

    private Builder() {}

    public ApplicationComponent build() {
      if (presenterModule == null) {
        this.presenterModule = new PresenterModule();
      }
      if (utilModule == null) {
        this.utilModule = new UtilModule();
      }
      if (apiModule == null) {
        this.apiModule = new ApiModule();
      }
      if (applicationModule == null) {
        throw new IllegalStateException(
            ApplicationModule.class.getCanonicalName() + " must be set");
      }
      return new DaggerApplicationComponent(this);
    }

    public Builder applicationModule(ApplicationModule applicationModule) {
      this.applicationModule = Preconditions.checkNotNull(applicationModule);
      return this;
    }

    public Builder apiModule(ApiModule apiModule) {
      this.apiModule = Preconditions.checkNotNull(apiModule);
      return this;
    }

    public Builder presenterModule(PresenterModule presenterModule) {
      this.presenterModule = Preconditions.checkNotNull(presenterModule);
      return this;
    }

    public Builder utilModule(UtilModule utilModule) {
      this.utilModule = Preconditions.checkNotNull(utilModule);
      return this;
    }
  }
}
